<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript Exercises Level3</title>
</head>

<body>
    <script>
        // Exercise 19
        let company1 = new Object();
        company1.id = 1;
        company1.name = "Arco Vara";
        company1.logo = "https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC";
        company1.established = "1994-07-04";
        company1.employees = 20;
        company1.revenue = 3640000;
        company1.netIncome = -540000;
        company1.securities = 8998367;
        company1.securityPrice = 1.09;
        company1.dividends = 0.01;
        company1.marketCapitalization = 9808220.03;
        company1.dividendYield = 0.01;
        console.log(company1);

        // Exercise 20
        let company2 = {
            "id": 3,
            "name": "Ekspress Grupp",
            "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=EEG",
            "established": "1995-06-21",
            "employees": 1698,
            "revenue": 60490000,
            "netIncome": 10000,
            "securities": 29796841,
            "securityPrice": 0.84,
            "dividends": 0,
            marketCapitalization: 25029346.44,
            dividendYield: null
        };
        console.log(company2);

        // Exercise 21
        class Company {
            constructor(
                {
                    id,
                    name,
                    logo,
                    established,
                    employees,
                    revenue,
                    netIncome,
                    securities,
                    securityPrice,
                    dividends,
                    marketCapitalization,
                    dividendYield
                }
            ) {
                this.id = id;
                this.name = name;
                this.logo = logo
                this.established = established;
                this.employees = employees;
                this.revenue = revenue;
                this.netIncome = netIncome;
                this.securities = securities;
                this.securityPrice = securityPrice;
                this.dividends = dividends;
                this.marketCapitalization = marketCapitalization;
                this.dividendYield = dividendYield;
            }
        }

        // let company3 = new Company({...company2});
        let company3 = new Company(
            {
                "id": 6,
                "name": "Merko Ehitus",
                "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=MRK",
                "established": "1990-11-05",
                "employees": 740,
                "revenue": 418010000,
                "netIncome": 19340000,
                "securities": 17700000,
                "securityPrice": 9.3,
                "dividends": 1,
                "marketCapitalization": 164610000,
                "dividendYield": 0.11
            }
        );
        let company4 = new Company(
            {
                "id": 10,
                "name": "Tallinna Kaubamaja Grupp",
                "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=TKM",
                "established": "1960-07-21",
                "employees": 4293,
                "revenue": 681180000,
                "netIncome": 30440000,
                "securities": 40729200,
                "securityPrice": 8.36,
                "dividends": 0.71,
                "marketCapitalization": 340496112,
                "dividendYield": 0.08
            }
        );

        console.log(company3);
        console.log(company4);
    </script>
</body>

</html>